// -*-c++-*-
/*
  The MIT License (MIT)

  Copyright (c) 2018 J. Eric Townsend

  Permission is hereby granted, free of charge, to any person obtaining a copy
  of this software and associated documentation files (the "Software"), to deal
  in the Software without restriction, including without limitation the rights
  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
  copies of the Software, and to permit persons to whom the Software is
  furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
  THE SOFTWARE.
*/

/*
   Read two pots, control the brightness of two LEDs on PWM
*/

static const int statusLedPin = 13;

int incomingByte; // TODO:  an int is actually two bytes.
char incomingLetter;

int ledState = LOW;
int ledCount = 0;


void setup() {
  Serial.begin(115200);

  pinMode(statusLedPin, OUTPUT);

  Serial.begin(115200);

}

void loop() {

  if (Serial.available() > 0) {
    incomingByte = Serial.read();
    incomingLetter = (char) incomingByte;
    if (incomingLetter == '1') {
      ledState = HIGH;
      ledCount++;
      Serial.print(ledCount);

    }
    else if (incomingLetter == '0') {
      ledState = LOW;
    }
  }

  if (ledState) {
    digitalWrite(statusLedPin, HIGH);
  }
  else {
    digitalWrite(statusLedPin, LOW);
  }

}
